# class SIGAdaptServer | Server side SIGTRAN User Adaptation component. More...
Full name | `TelEngine::SIGAdaptServer`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::SIGAdaptation [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Protected Methods

- inline explicit SIGAdaptServer (const char* name = 0, const NamedList* params = 0, u_int32_t payload = 0, u_int16_t port = 0)
- virtual bool processMgmtMSG (unsigned char msgType, const DataBlock& msg, int streamId)
- virtual bool processAspsmMSG (unsigned char msgType, const DataBlock& msg, int streamId)
- virtual bool processAsptmMSG (unsigned char msgType, const DataBlock& msg, int streamId)

## Detailed Description

Generic server side (SG) Signalling Transport User Adaptation component

inline explicit SIGAdaptServer (const char* name = 0, const NamedList* params = 0, u_int32_t payload = 0, u_int16_t port = 0) | ### SIGAdaptServer

[protected]

Constructs an uninitialized User Adaptation server component

Parameters:

name | Name of this component
params | Optional pointer to creation parameters
payload | SCTP payload code, ignored for other transports
port | SCTP/TCP/UDP default port used for transport

bool processMgmtMSG (unsigned char msgType, const DataBlock& msg, int streamId) | ### processMgmtMSG

[protected virtual]

Process Management messages as SG

Parameters:

msgType | Type of the message, depends on the class
msg | Message data, may be empty
streamId | Identifier of the stream the message was received on

Returns: True if the message was handled

Reimplemented from SIGAdaptation.

bool processAspsmMSG (unsigned char msgType, const DataBlock& msg, int streamId) | ### processAspsmMSG

[protected virtual]

Process ASP State Maintenance messages as SG

Parameters:

msgType | Type of the message, depends on the class
msg | Message data, may be empty
streamId | Identifier of the stream the message was received on

Returns: True if the message was handled

Reimplemented from SIGAdaptation.

bool processAsptmMSG (unsigned char msgType, const DataBlock& msg, int streamId) | ### processAsptmMSG

[protected virtual]

Process ASP Traffic Maintenance messages as SG

Parameters:

msgType | Type of the message, depends on the class
msg | Message data, may be empty
streamId | Identifier of the stream the message was received on

Returns: True if the message was handled

Reimplemented from SIGAdaptation.

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.